Installation of Ruby 1.9.3 and Rails 3.2.8 on Ubuntu LTS 12.04

Looking for a way to Install  Ruby 1.9.3 and Rails 3.2.8 on your Ubuntu 12.04 LTS Machine? Check the below video out for an on-screen demo. I have listed a brief summary of the steps that were used in the video below.


  • Open Terminal, and type the following command to Run the RVM Installation script: curl -L | bash -s stable
  • Load The RVM after completion of Installation with this command  source ~/.rvm/scripts/rvm
  • To get your system up to date with all of its required dependencies just follow these instructionssudo apt-get install build-essential openssl libreadline6 libreadline6-dev curl git-core zlib1g zlib1g-dev libssl-dev libyaml-dev libsqlite3-dev sqlite3 libxml2-dev libxslt-dev autoconf libc6-dev ncurses-dev automake libtool bison subversion pkg-config
  • Follow these steps to install Read Line Library which aids in Consistency of user interface
  • Install Ruby 1.9.3 with the  command shown in video
  • Now  it is time to install Rails. Open terminal and follow the instructions shown in video
  • To check the versions of Rails and Ruby  use the commands  ruby –v and rails –v respectively

This installation and video are created by Sridhar Vedula, Software Engineer at Amzur Technologies.